## org.red5.server.stream
Interface IBroadcastScope

All Superinterfaces:
  AttributeStoreMBean, IAttributeStore, IBasicScope, ICastingAttributeStore, ICoreObject, IEventDispatcher, IEventHandler, IEventListener, IEventObservable, IMessageInput, IMessageOutput, IPersistable, IPipe, Iterable<IBasicScope>

All Known Implementing Classes:
  BroadcastScope

    public interface IBroadcastScope

extends IBasicScope, IPipe

Broadcast scope is marker interface that represents object that works as basic scope and has pipe connection event dispatching capabilities.

Field Summary
`static String` `STREAM_ATTRIBUTE`
`static String` `TYPE`

Fields inherited from interface org.red5.server.api.persistence.IPersistable
`TRANSIENT_PREFIX`

Method Summary

Methods inherited from interface org.red5.server.api.IBasicScope
`getDepth, getName, getParent, getPath, getType, hasParent, lock, setKeepDelay, unlock`

Methods inherited from interface org.red5.server.api.ICastingAttributeStore
`getBoolAttribute, getByteAttribute, getDoubleAttribute, getIntAttribute, getListAttribute, getLongAttribute, getMapAttribute, getSetAttribute, getShortAttribute, getStringAttribute`

Methods inherited from interface org.red5.server.api.IAttributeStore
`getAttribute, getAttribute, getAttributeNames, getAttributes, hasAttribute, removeAttribute, removeAttributes, setAttribute, setAttributes, setAttributes`

Methods inherited from interface org.red5.server.api.event.IEventDispatcher
`dispatchEvent`

Methods inherited from interface org.red5.server.api.event.IEventHandler
`handleEvent`

Methods inherited from interface org.red5.server.api.event.IEventListener
`notifyEvent`

Methods inherited from interface org.red5.server.api.event.IEventObservable
`addEventListener, getEventListeners, removeEventListener`

Methods inherited from interface java.lang.Iterable
`iterator`

Methods inherited from interface org.red5.server.api.persistence.IPersistable
`deserialize, getLastModified, getStore, isPersistent, serialize, setName, setPath, setPersistent, setStore`

Methods inherited from interface org.red5.server.messaging.IPipe
`addPipeConnectionListener, removePipeConnectionListener`

Methods inherited from interface org.red5.server.messaging.IMessageInput
`getConsumers, pullMessage, pullMessage, sendOOBControlMessage, subscribe, unsubscribe`

Methods inherited from interface org.red5.server.messaging.IMessageOutput
`getProviders, pushMessage, sendOOBControlMessage, subscribe, unsubscribe`

Field Detail

### TYPE

    static final String TYPE

See Also:
  Constant Field Values

### STREAM_ATTRIBUTE

    static final String STREAM_ATTRIBUTE

See Also:
  Constant Field Values

Copyright © 2006-2010 The Red5 Project